"""empty message

Revision ID: 0d86ab994e9e
Revises: b220590fa9ce
Create Date: 2021-03-08 17:26:22.382576

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '0d86ab994e9e'
down_revision = 'b220590fa9ce'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticket', 'course_id',
               existing_type=mysql.INTEGER(),
               nullable=False)
    op.alter_column('ticket', 'created_by',
               existing_type=mysql.INTEGER(),
               nullable=False)
    op.alter_column('ticket', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticket', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.alter_column('ticket', 'created_by',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.alter_column('ticket', 'course_id',
               existing_type=mysql.INTEGER(),
               nullable=True)
    # ### end Alembic commands ###
